Create a scheduled post
curl --request POST \
--url https://apix.us.amity.co/api/v1/posts/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduledAt": "2025-08-15T10:00:00Z",
"postData": {
"data": {
"title": "<string>",
"text": "example text",
"fileId": "57b916d38eaf8010caddfb7759a2d06c",
"pollId": "53a9fd8b5aaa1af6c5a1bbd245ce4a9b1627373735551",
"streamId": "81559bcc3a5bb3b6bbd69a83b89d337e",
"roomId": "<string>"
},
"attachments": [
{
"fileId": "57b916d38eaf8010caddfb7759a2d06c",
"displayMode": "fit",
"isMuted": false
}
],
"dataType": "upstra.customtype",
"targetType": "user",
"targetId": "public_user_id",
"metadata": {
"anything": "you want"
},
"links": [
{
"url": "<string>",
"index": 1,
"length": 2,
"renderPreview": false,
"domain": "<string>",
"title": "<string>",
"imageUrl": "<string>"
}
],
"postId": "postidiwant",
"tags": [
"<string>"
],
"hashtags": [
"tech_news",
"startup_life",
"product_launch",
"innovation_2025"
],
"mentionees": [
{
"type": "user",
"userIds": [
"userId1",
"userId2"
]
}
],
"createdAt": "2022-07-07T04:24:20.444Z",
"isDiscoverable": true,
"eventId": "507f1f77bcf86cd799439011"
}
}
'import requests
url = "https://apix.us.amity.co/api/v1/posts/schedule"
payload = {
"scheduledAt": "2025-08-15T10:00:00Z",
"postData": {
"data": {
"title": "<string>",
"text": "example text",
"fileId": "57b916d38eaf8010caddfb7759a2d06c",
"pollId": "53a9fd8b5aaa1af6c5a1bbd245ce4a9b1627373735551",
"streamId": "81559bcc3a5bb3b6bbd69a83b89d337e",
"roomId": "<string>"
},
"attachments": [
{
"fileId": "57b916d38eaf8010caddfb7759a2d06c",
"displayMode": "fit",
"isMuted": False
}
],
"dataType": "upstra.customtype",
"targetType": "user",
"targetId": "public_user_id",
"metadata": { "anything": "you want" },
"links": [
{
"url": "<string>",
"index": 1,
"length": 2,
"renderPreview": False,
"domain": "<string>",
"title": "<string>",
"imageUrl": "<string>"
}
],
"postId": "postidiwant",
"tags": ["<string>"],
"hashtags": ["tech_news", "startup_life", "product_launch", "innovation_2025"],
"mentionees": [
{
"type": "user",
"userIds": ["userId1", "userId2"]
}
],
"createdAt": "2022-07-07T04:24:20.444Z",
"isDiscoverable": True,
"eventId": "507f1f77bcf86cd799439011"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduledAt: '2025-08-15T10:00:00Z',
postData: {
data: {
title: '<string>',
text: 'example text',
fileId: '57b916d38eaf8010caddfb7759a2d06c',
pollId: '53a9fd8b5aaa1af6c5a1bbd245ce4a9b1627373735551',
streamId: '81559bcc3a5bb3b6bbd69a83b89d337e',
roomId: '<string>'
},
attachments: [
{fileId: '57b916d38eaf8010caddfb7759a2d06c', displayMode: 'fit', isMuted: false}
],
dataType: 'upstra.customtype',
targetType: 'user',
targetId: 'public_user_id',
metadata: {anything: 'you want'},
links: [
{
url: '<string>',
index: 1,
length: 2,
renderPreview: false,
domain: '<string>',
title: '<string>',
imageUrl: '<string>'
}
],
postId: 'postidiwant',
tags: ['<string>'],
hashtags: ['tech_news', 'startup_life', 'product_launch', 'innovation_2025'],
mentionees: [{type: 'user', userIds: ['userId1', 'userId2']}],
createdAt: '2022-07-07T04:24:20.444Z',
isDiscoverable: true,
eventId: '507f1f77bcf86cd799439011'
}
})
};
fetch('https://apix.us.amity.co/api/v1/posts/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>"
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Post
Create a scheduled post
Create a new scheduled post for the authenticated user
POST
/
api
/
v1
/
posts
/
schedule
Create a scheduled post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Scheduled post created successfully
Show child attributes
Show child attributes
⌘I